# Uses of Interface
javax.sql.PooledConnection

Packages that use PooledConnection
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.

## Uses of PooledConnection in javax.sql

Subinterfaces of PooledConnection in javax.sql
Modifier and Type
Interface
Description
`interface`
`XAConnection`
An object that provides support for distributed transactions.
Methods in javax.sql that return PooledConnection
Modifier and Type
Method
Description
`PooledConnection`
PooledConnectionBuilder.`build()`
Returns an instance of the object defined by this builder.
`PooledConnection`
ConnectionPoolDataSource.`getPooledConnection()`
Attempts to establish a physical database connection that can be used as a pooled connection.
`PooledConnection`
ConnectionPoolDataSource.`getPooledConnection(String user, String password)`
Attempts to establish a physical database connection that can be used as a pooled connection.
Constructors in javax.sql with parameters of type PooledConnection
Modifier
Constructor
Description
``
`ConnectionEvent(PooledConnection con)`
Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object.
``
`ConnectionEvent(PooledConnection con, SQLException ex)`
Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object and `SQLException` object.
``
`StatementEvent(PooledConnection con, PreparedStatement statement)`
Constructs a `StatementEvent` with the specified `PooledConnection` and `PreparedStatement`.
``
`StatementEvent(PooledConnection con, PreparedStatement statement, SQLException exception)`
Constructs a `StatementEvent` with the specified `PooledConnection`, `PreparedStatement` and `SQLException`